<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Xero - Base theme for the Zen Grid Framework v4.
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2014
Copyright:	Anthony Olsen - (C) 2014 - All rights reserved
/* ===================================================================== */


?>
<?php if ($this->countModules('panel')) : ?>
<div id="zen-panel" class="zen-panel" data-id="zen-panel-1">
	<a class="zen-panel-close" href="#"><span class="fa fa-remove zen-icon-remove zen-icon"></span></a>
	<jdoc:include type="modules" name="panel" style="zendefault" />
</div>


<div id="zen-overlay"></div>

<script>
jQuery(document).ready(function($){
	
	$('.open-panel').click(function() {
		
		var target = $(this).attr('data-target');
		
		$('[data-id="' + target +'"]').fadeToggle();
		$('#zen-overlay').fadeToggle();
		
		$("html, body").animate({ scrollTop: 0 }, "slow");
		 
		return false;
	});
	
	$('#zen-overlay').click(function() {
		$(this).fadeOut();
		$('.zen-panel').fadeOut();
		return false;
	});
	
	
	$('.zen-panel-close').click(function() {
		$('#zen-overlay,.zen-panel').fadeOut();
		return false;
	});
});
</script>
<?php endif;?>